#!/bin/sh
version=20091012
user=`echo $HOME | sed -e 's/\/home\///'`

echo "L2Ork User Patch $version says hi. Let's get the party started..."
#if [ $(id -u) != "0" ]; then
#    echo "ERROR! This script needs to be run as superuser!\nPress any key to exit."
#	read input
#	exit 1
#fi

#Copy into ~/L2Ork/Exercises/4/Ico/ following files:
cp hum_preset.txt ~/L2Ork/Exercises/4/Ico/hum_preset.txt
cp hum_sampler_\&_wiimote_vocoder_ver_4.pd ~/L2Ork/Exercises/4/Ico/hum_sampler_\&_wiimote_vocoder_ver_4.pd 
cp hum_sampler_\&_wiimote_vocoder_ver_5.pd ~/L2Ork/Exercises/4/Ico/hum_sample_\&_wiimote_vocoder_ver_5.pd
#Copy into ~/L2Ork/Exercises/5/Ico/ following files:
cp ico_disis_machinery_hits.txt ~/L2Ork/Exercises/5/Ico/ico_disis_machinery_hits.txt
cp ico_disis_wiimote_preset.txt ~/L2Ork/Exercises/5/Ico/ico_disis_wiimote_preset.txt
cp ico_home_wiimote_preset.txt ~/L2Ork/Exercises/5/Ico/ico_home_wiimote_preset.txt
cp slicer_vocoder_wiimote_ver_2.pd ~/L2Ork/Exercises/5/Ico/slicer_vocoder_wiimote_ver_2.pd
cp slicer_vocoder_wiimote_ver_3.pd ~/L2Ork/Exercises/5/Ico/slicer_vocoder_wiimote_ver_3.pd
cp slicer_vocoder_wiimote_ver_4.pd ~/L2Ork/Exercises/5/Ico/slicer_vocoder_wiimote_ver_4.pd
#Copy new files from ~/L2Ork/Exercises/Sounds/ into ~/L2Ork/Exercises/Sounds/
cp brass_pestle.wav ~/L2Ork/Exercises/Sounds/brass_pestle.wav
cp choir_low.wav ~/L2Ork/Exercises/Sounds/choir_low.wav
rm ~/L2Ork/Exercises/Sounds/am-i-totally-screwed-or.wav

tar -zxf Abstractions.tar.gz
rm -rf ~/L2Ork/PD/Abstractions/
mv Abstractions ~/L2Ork/PD/

echo "\n\nDone. Please logout (and reboot, if such is required by the software updates) for changes to take place. Goodbye!"
exit 0
